package nxm.sys.lib;

import nxm.sys.inc.PlotFile;
import nxm.sys.inc.PlotFileNH;
import nxm.sys.libg.Layer;

/** ***************** STANDARD VERSION *****************
 *  FileUtil inner class PlotFileWrapper and possibly other classes
 *  need this API
 *  @author Jeanette McCall
 *  @since NeXtMidas 4.0.0
 *
 */
abstract class PlotFileGetLayerModSwap implements PlotFileNH {

    PlotFile pf;

    PlotFileGetLayerModSwap (PlotFile pf) {
      this.pf = pf;
    }

    public Layer getLayer() {
      return pf.getLayer();
   }

}
