#ifndef XM_TYPE5000_H_
/*
 ************
 
   $Id: type5000.h,v 1.1 2008/07/19 22:30:29 jgs Exp $
 
   Description:	Includes for type 5000 utilities
   
 ************
*/

#include "cdefs.h"

typedef struct {
  real_8 a11, a21, a31;
  real_8 a12, a22, a32;
  real_8 a13, a23, a33;
  real_8 b1, b2, b3;
  real_8 s1, s2, s3;
} TRANSMATRIX;

typedef enum {
  P_SCA=1, P_CAR, P_SPH, P_CYL, P_ELL, P_GEO
} COMPONENT_TYPE_ENUM;

typedef enum {
  P_AZIM=1, P_ELEV, P_ROLL, P_YAW, P_PITCH
} MATRIX_ROT_ENUM;

#define XM_TYPE5000_H_
#endif /* XM_TYPE5000_H_ */
