package nxm.sys.inc;

import nxm.sys.libg.Layer;

/** ** STANDARD VERSION **

    @author  Jeanette McCall
 */
interface PlotFileModSwap {

  /** Get the default {@link Layer} on which this file is plotted.<br>
      New PltFile to getLayer() registry should be used instead of overriding this method.
      We are removing libg dependencies from lib to transition to JDK module support
      @return The default layer to use, or <code>null</code> to let <code>PLOT</code> decide.
   */
  Layer getLayer ();

}
