/**
  Interface Definitions for Commandable Objects

  @author Jeff Schoen
  @version $Id: commandable.h,v 1.3 2004/09/07 21:27:16 jgs Exp $
*/

#define NOOP	-1
#define NORMAL	0

#define INIT	0
#define OPEN	1
#define WAIT	-1
#define PROCESS	2
#define SUSPEND	-2
#define CLOSE	3
#define EXIT	-3
#define DONE	4
#define START	5
#define STOP	6
#define RESTART	7
#define SLEEP	8
#define FINISH	9
#define ABORT	10
#define PAUSE	11
#define RESUME	12

#define POFF	0
#define PINIT	1
#define PRUN	2
#define PPAUSE	3
#define PWAIT	4
#define PSTOP	5
