#ifndef XM_XTXINCLUDE_H_
/*
 ************
                   +-------------------------------------+
                   | THIS FILE MUST MATCH xtxinclude.inc |
                   +-------------------------------------+

   Description:	Include for XTX libraries

   Author:  JG Kralles
   Modified jdh 17-FEB-2000
   Author:  based on X-Midas 4.4.4 xtxinclude.idl,v 1.2 2003/04/22 20:59:49 hawk
   Version: $Id: xtxinclude.h,v 1.1 2009/08/11 00:25:53 ntn Exp $

 ************
*/


#define XTX_P_ERROR 1
#define XTX_P_ERROR_R 100
#define XTX_P_ERROR_G 0
#define XTX_P_ERROR_B 0
#define XTX_P_WARN 2
#define XTX_P_WARN_R 100
#define XTX_P_WARN_G 100
#define XTX_P_WARN_B 0
#define XTX_P_INFO 3
#define XTX_P_INFO_R 0
#define XTX_P_INFO_G 100
#define XTX_P_INFO_B 0

#define XTX_P_BBUF 2048



#define XTX_P_DBC_DELTA 0.25

#define XTX_P_NO_MSG 0
#define XTX_P_MSG_PROC 1
#define XTX_P_MSG_NOT_PROC 2
#define XTX_P_MSG_EXIT -1

#define XTX_P_DEF_COLORS 8
#define XTX_P_MAX_COLORS 48
#define XTX_P_MAX_WIDTH 256
#define XTX_P_DEF_HEIGHT 256
#define XTX_P_DEF_COLOR -1




#define XM_XTXINCLUDE_H_
#endif /* XM_XTXINCLUDE_H_ */
